import 'dart:async';

import 'package:flutter/services.dart';


/// FlutterCardScannerLatest is the starting point to invoke the platform
/// specific method scanCard which does returns the scanned card details.

class FlutterCardScannerLatest {
  static const MethodChannel _channel =
      const MethodChannel('flutter_card_scanner_latest');

  /// Calling the scanCard method which does invokes platform specific code.
  static Future<String> get scanCard async {
    final String scannedCardDetails = await _channel.invokeMethod('scanCard');
    return scannedCardDetails;
  }
}
